require 'rainforestqa/utils'

module RainforestQA
  module Modules
    module Generators
      include RainforestQA::Utils

      def generators(options = {})
        perform(:get, "generators", options)
      end

      def generator(id, options = {})
        perform(:get, "generators/#{id}", options)
      end

      def update_generator(id, options = {})
        perform(:put, "generators/#{id}", options)
      end

      def delete_generator(id, options = {})
        perform(:delete, "generators/#{id}", options)
      end

    end
  end
end