require 'rainforestqa/utils'

module RainforestQA
  module Modules
    module Runs
      include RainforestQA::Utils

      def runs(options = {})
        perform(:get, "runs", options)
      end

      def create_run(attributes ={})
        perform(:post, "runs", attributes)
      end

      def run_status(id, options = {})
        perform(:get, "runs/#{id}", options)
      end

      def delete_run(id, options = {})
        perform(:delete, "runs/#{id}", options)
      end

      def run_result(run_id, test_id, options = {})
        perform(:get, "runs/#{run_id}/tests/#{test_id}", options)
      end

    end
  end
end