require 'rainforestqa/utils'

module RainforestQA
  module Modules
    module Schedules
      include RainforestQA::Utils

      def schedules(options ={})
        perform(:get, "schedules", options)
      end

      def get_schedule(id, options ={})
        perform(:get, "schedules/#{id}", options)
      end

      def delete_schedule(id, options = {})
        perform(:delete, "schedules/#{id}", options)
      end

      def update_schedule(id, attributes)
        perform(:put, "schedules/#{id}", attributes )
      end
    end
  end
end