require 'rainforestqa/utils'

module RainforestQA
  module Modules
    module Sites
      include RainforestQA::Utils

      def sites(options = {})
        perform(:get, "sites", options)
      end

      def create_site(options = {})
        perform(:post, "sites", options)
      end

      def delete_site(id, options ={})
        perform(:delete, "sites/#{id}", options)
      end

      def update_site(id, attributes = {})
        perform(:put, "sites/#{id}", attributes)
      end
    end
  end
end