require 'rainforestqa/utils'

module RainforestQA
  module Modules
    module Tests
      include RainforestQA::Utils

      def tests(options = {})
        perform(:get, "tests", options)
      end

      def test(id, options = {})
        perform(:get, "tests/#{id}", options)
      end

      def update_test(id, attributes = {})
        perform(:put, "tests/#{id}", attributes)
      end

      def create_test(attributes = {})
        perform(:post, "tests", attributes)
      end

      def delete_test(id, options = {})
        perform(:delete, "tests/#{id}", options )
      end

    end
  end
end