module RainforestQA
  class Request
    attr_accessor :client, :request_method, :path, :options

    def initialize(client, request_method, path, options = {})
      @client = client
      @request_method = request_method
      @path = path
      @options = options
    end

    def perform
      @client.send(@request_method, @path, @options).body
    end
  end
end